Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function
Interface MetaABMFunctionPackage.Literals

Enclosing interface:
  MetaABMFunctionPackage

    public static interface MetaABMFunctionPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `FARGUMENT_ARRAY_PROTOTYPE` The meta object literal for the '`FArgument Array Prototype`' class.
`static org.eclipse.emf.ecore.EClass` | `FARGUMENT_PROTOTYPE` The meta object literal for the '`FArgument Prototype`' class.
`static org.eclipse.emf.ecore.EReference` | `FARGUMENT_PROTOTYPE__INPUT_FUNCTION` The meta object literal for the 'Input Function' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `FARGUMENT_PROTOTYPE__OPTIONAL` The meta object literal for the 'Optional' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `FARGUMENT_PROTOTYPE__OUTPUT_FUNCTION` The meta object literal for the 'Output Function' container reference feature.
`static org.eclipse.emf.ecore.EClass` | `FFUNCTION` The meta object literal for the '`FFunction`' class.
`static org.eclipse.emf.ecore.EAttribute` | `FFUNCTION__AVAILABLE_TYPES` The meta object literal for the 'Available Types' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `FFUNCTION__INPUT_PROTOTYPES` The meta object literal for the 'Input Prototypes' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `FFUNCTION__MULTI_VALUE` The meta object literal for the 'Multi Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `FGENERIC` The meta object literal for the '`FGeneric`' class.
`static org.eclipse.emf.ecore.EClass` | `FGENERIC_FUNCTION` The meta object literal for the '`FGeneric Function`' class.
`static org.eclipse.emf.ecore.EReference` | `FGENERIC_FUNCTION__OUTPUT_PROTOTYPES` The meta object literal for the 'Output Prototypes' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `FGENERIC_LOGICAL` The meta object literal for the '`FGeneric Logical`' class.
`static org.eclipse.emf.ecore.EClass` | `FIMPLEMENTED_LIBRARY` The meta object literal for the '`FImplemented Library`' class.
`static org.eclipse.emf.ecore.EClass` | `FLIBRARY` The meta object literal for the '`FLibrary`' class.
`static org.eclipse.emf.ecore.EReference` | `FLIBRARY__FUNCTIONS` The meta object literal for the 'Functions' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `FLIBRARY__SUBS` The meta object literal for the 'Subs' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `FLOGICAL` The meta object literal for the ' `FLogical`' class.
`static org.eclipse.emf.ecore.EClass` | `FLOGICAL_OPERATOR` The meta object literal for the '`FLogical Operator`' class.
`static org.eclipse.emf.ecore.EClass` | `FMULTI_ARGUMENT_PROTOTYPE` The meta object literal for the '`FMulti Argument Prototype`' class.
`static org.eclipse.emf.ecore.EClass` | `FOPERATOR` The meta object literal for the '`FOperator`' class.
`static org.eclipse.emf.ecore.EAttribute` | `FOPERATOR__ARITY` The meta object literal for the 'Arity' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `FOPERATOR__SYMBOL` The meta object literal for the 'Symbol' attribute feature.

Field Detail

### FARGUMENT_PROTOTYPE

    static final org.eclipse.emf.ecore.EClass FARGUMENT_PROTOTYPE

  The meta object literal for the '`FArgument Prototype`' class.

  See Also:
    `FArgumentPrototypeImpl`, `MetaABMFunctionPackageImpl.getFArgumentPrototype()`

### FARGUMENT_PROTOTYPE__INPUT_FUNCTION

    static final org.eclipse.emf.ecore.EReference FARGUMENT_PROTOTYPE__INPUT_FUNCTION

  The meta object literal for the 'Input Function' container reference feature.

### FARGUMENT_PROTOTYPE__OUTPUT_FUNCTION

    static final org.eclipse.emf.ecore.EReference FARGUMENT_PROTOTYPE__OUTPUT_FUNCTION

  The meta object literal for the 'Output Function' container reference feature.

### FARGUMENT_PROTOTYPE__OPTIONAL

    static final org.eclipse.emf.ecore.EAttribute FARGUMENT_PROTOTYPE__OPTIONAL

  The meta object literal for the 'Optional' attribute feature.

### FFUNCTION

    static final org.eclipse.emf.ecore.EClass FFUNCTION

  The meta object literal for the '`FFunction`' class.

  See Also:
    `FFunctionImpl`, `MetaABMFunctionPackageImpl.getFFunction()`

### FFUNCTION__AVAILABLE_TYPES

    static final org.eclipse.emf.ecore.EAttribute FFUNCTION__AVAILABLE_TYPES

  The meta object literal for the 'Available Types' attribute list feature.

### FFUNCTION__INPUT_PROTOTYPES

    static final org.eclipse.emf.ecore.EReference FFUNCTION__INPUT_PROTOTYPES

  The meta object literal for the 'Input Prototypes' containment reference list feature.

### FFUNCTION__MULTI_VALUE

    static final org.eclipse.emf.ecore.EAttribute FFUNCTION__MULTI_VALUE

  The meta object literal for the 'Multi Value' attribute feature.

### FLOGICAL

    static final org.eclipse.emf.ecore.EClass FLOGICAL

  The meta object literal for the ' `FLogical`' class.

  See Also:
    `FLogical`, `MetaABMFunctionPackageImpl.getFLogical()`

### FOPERATOR

    static final org.eclipse.emf.ecore.EClass FOPERATOR

  The meta object literal for the '`FOperator`' class.

  See Also:
    `FOperatorImpl`, `MetaABMFunctionPackageImpl.getFOperator()`

### FOPERATOR__SYMBOL

    static final org.eclipse.emf.ecore.EAttribute FOPERATOR__SYMBOL

  The meta object literal for the 'Symbol' attribute feature.

### FOPERATOR__ARITY

    static final org.eclipse.emf.ecore.EAttribute FOPERATOR__ARITY

  The meta object literal for the 'Arity' attribute feature.

### FLOGICAL_OPERATOR

    static final org.eclipse.emf.ecore.EClass FLOGICAL_OPERATOR

  The meta object literal for the '`FLogical Operator`' class.

  See Also:
    `FLogicalOperatorImpl`, `MetaABMFunctionPackageImpl.getFLogicalOperator()`

### FGENERIC

    static final org.eclipse.emf.ecore.EClass FGENERIC

  The meta object literal for the '`FGeneric`' class.

  See Also:
    `FGenericImpl`, `MetaABMFunctionPackageImpl.getFGeneric()`

### FGENERIC_FUNCTION

    static final org.eclipse.emf.ecore.EClass FGENERIC_FUNCTION

  The meta object literal for the '`FGeneric Function`' class.

  See Also:
    `FGenericFunctionImpl`, `MetaABMFunctionPackageImpl.getFGenericFunction()`

### FGENERIC_FUNCTION__OUTPUT_PROTOTYPES

    static final org.eclipse.emf.ecore.EReference FGENERIC_FUNCTION__OUTPUT_PROTOTYPES

  The meta object literal for the 'Output Prototypes' containment reference list feature.

### FGENERIC_LOGICAL

    static final org.eclipse.emf.ecore.EClass FGENERIC_LOGICAL

  The meta object literal for the '`FGeneric Logical`' class.

  See Also:
    `FGenericLogicalImpl`, `MetaABMFunctionPackageImpl.getFGenericLogical()`

### FLIBRARY

    static final org.eclipse.emf.ecore.EClass FLIBRARY

  The meta object literal for the '`FLibrary`' class.

  See Also:
    `FLibraryImpl`, `MetaABMFunctionPackageImpl.getFLibrary()`

### FLIBRARY__FUNCTIONS

    static final org.eclipse.emf.ecore.EReference FLIBRARY__FUNCTIONS

  The meta object literal for the 'Functions' containment reference list feature.

### FLIBRARY__SUBS

    static final org.eclipse.emf.ecore.EReference FLIBRARY__SUBS

  The meta object literal for the 'Subs' containment reference list feature.

### FIMPLEMENTED_LIBRARY

    static final org.eclipse.emf.ecore.EClass FIMPLEMENTED_LIBRARY

  The meta object literal for the '`FImplemented Library`' class.

  See Also:
    `FImplementedLibraryImpl`, `MetaABMFunctionPackageImpl.getFImplementedLibrary()`

### FMULTI_ARGUMENT_PROTOTYPE

    static final org.eclipse.emf.ecore.EClass FMULTI_ARGUMENT_PROTOTYPE

  The meta object literal for the '`FMulti Argument Prototype`' class.

  See Also:
    `FMultiArgumentPrototypeImpl`, `MetaABMFunctionPackageImpl.getFMultiArgumentPrototype()`

### FARGUMENT_ARRAY_PROTOTYPE

    static final org.eclipse.emf.ecore.EClass FARGUMENT_ARRAY_PROTOTYPE

  The meta object literal for the '`FArgument Array Prototype`' class.

  See Also:
    `FArgumentArrayPrototypeImpl`, `MetaABMFunctionPackageImpl.getFArgumentArrayPrototype()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD